/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gifCB").hide();

$("#tablaPagos").change(function () {
    var tablaPagos = $(this).val();
    if (tablaPagos == "default") {
        $("#costoInscripcion").val("");
        $("#colegiatura").val("");
    } else {
        $("#costoInscripcion").val("");
        $("#colegiatura").val("");
        cargarCostos(tablaPagos);
    }
});

function cargarCostos(tabla) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/costos-eu',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideBecBac: tabla},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'json',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifCB").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifCB").hide();
            console.log(respuesta);
            $("#costoInscripcion").val(parseInt(respuesta["inscripcion"]));
            $("#colegiatura").val(parseInt(respuesta["examen"]));
        }, 
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            console.log(xhr);
            console.log(status);
            $("#gifCB").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // guardarProcedencia